POWERLINE(1)

NAME
powerline - Powerline prompt and statusline script.

SYNOPSIS

            powerline EXT [SIDE] [-rMODULE] [-wWIDTH] [--last-exit-code=INT]
                      [--last-pipe-status=LIST] [--jobnum=INT]
                      [-cKEY.KEY=VALUE]… [-tTHEME.KEY.KEY=VALUE]… [-RKEY=VAL]…
                      [-pPATH]… [--socket=ADDRESS]

DESCRIPTION

    EXT Extension: application for which powerline command is launched (usually shell or tmux). Also supports wm. extensions: wm.awesome.

    SIDE
        Side: left and right represent left and right side respectively, above emits lines that are supposed to be printed just above the prompt and aboveleft is like concatenating above with left with the exception that only one Python instance is used in this case. May be omitted for wm.* extensions.

    -r, --renderer-module MODULE
        Renderer module. Usually something like .bash or .zsh (with leading dot) which is powerline.renderers.{ext}{MODULE}, may also be full module name (must contain at least one dot or end with a dot in case it is top-level module) or powerline.renderers submodule (in case there are no dots).

    -w, --width WIDTH
        Maximum prompt with. Triggers truncation of some segments.

    --last-exit-code INT
        Last exit code.

    --last-pipe-status LIST
        Like above, but is supposed to contain space-separated array of statuses, representing exit statuses of commands in one pipe.

    --jobnum INT
        Number of jobs.

    -c, --config-override KEY.KEY=VALUE
        Configuration overrides for config.json. Is translated to a dictionary and merged with the dictionary obtained from actual JSON configuration: KEY.KEY=VALUE is translated to {"KEY": {"KEY": VALUE}} and then merged recursively. VALUE may be any JSON value, values that are not null, true, false, start with digit, {, [ are treated like strings. If VALUE is omitted then corresponding key is removed.

    -t, --theme-override THEME.KEY.KEY=VALUE
        Like above, but theme-specific. THEME should point to an existing and used theme to have any effect, but it is fine to use any theme here.

    -R, --renderer-arg KEY=VAL
        Like above, but provides argument for renderer. Is supposed to be used only by shell bindings to provide various data like last-exit-code or last-pipe-status (they are not using --renderer-arg for historical reasons: --renderer-arg was added later).

    -p, --config-path PATH
        Path to configuration directory. If it is present then configuration files will only be sought in the provided path. May be provided multiple times to search in a list of directories.

    --socket ADDRESS
        Socket address to use in daemon clients. Is always UNIX domain socket on linux and file socket on Mac OS X. Not used here, present only for compatibility with other powerline clients. This argument must always be the first one and be in a form --socket ADDRESS: no = or short form allowed (in other powerline clients, not here).

    -h, --help
        Display help and exit.

AUTHOR

Written by Kim Silkebækken, Nikolay Pavlov, Kovid Goyal and contributors. The glyphs in the font patcher are created by Fabrizio Schiavi.

REPORTING BUGS

Report powerline bugs to https://github.com/powerline/powerline/issues.

SEE ALSO

powerline-daemon(1), powerline-config(1)